Bug 22219 - Нажатие на пробел при выборе пакетов убивает acc
: Нажатие на пробел при выборе пакетов убивает acc
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/alterator-packages)
: unstable
: all Linux
: P3 major
Assigned To:
:
:
:
:
: 19564
  Show dependency tree
 
Reported: 2009-11-09 12:56 by
Modified: 2011-01-20 17:57 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-11-09 12:56:57
Воспроизведение ошибки:
1. Запустить "Центр управления системой" -> "Установка программ";
2. Ткнуть в любой пакет мышкой (одинарный клик) из списка справа;
3. Нажать на пробел.
Результат:
Окно центра управления исчезло.
Если запустить acc из консоли от рута то:

[root@host-100 ~]# acc
socket path /tmp/alterator/browser-sock ...
!>type,pending
!>type,groups
!>type,control
!>type,groups/Accessibility
!>type,control
frame:on-next is deprecated, use wizard-bind instead
!>type,groups/Accessibility/accerciser
Using pixmap name "packages/available.png" with file extension.
Using pixmap name "packages/installed.png" with file extension.
Using pixmap name "packages/be-installed.png" with file extension.
Using pixmap name "packages/be-upgraded.png" with file extension.
Using pixmap name "packages/be-kept.png" with file extension.
Using pixmap name "packages/be-removed.png" with file extension.
Using pixmap name "packages/moreinfo.png" with file extension.
!>type,groups/Accessibility/emacspeak
!>type,groups/Accessibility
!>read,groups/Accessibility
guile: uncaught throw to woo-error: ("unknown action for backend: packages")

Строки начинающиеся на восклицательный знак зависят от текущего пакета.
Дистрибутив Альт Линукс школьный мастер 5.0.0 
b1b136ed3a6fd7eb0780809bb25e1d9c 
altlinux-5.0.0-school-master-i586-ru-install-dvd5.iso
------- Comment #1 From 2009-11-09 14:06:28 -------
На правильный компонент
------- Comment #2 From 2011-01-20 13:14:27 -------
При выделении строчки в listbox и нажатии на пробел, выделение этой строчки
инвертируется.

В alterator-browser-qt-2.9.69 такого не наблюдаю.
------- Comment #3 From 2011-01-20 15:09:08 -------
(В ответ на комментарий №2)
> При выделении строчки в listbox и нажатии на пробел, выделение этой строчки
> инвертируется.
Всё правильно. Так и должно быть.
------- Comment #4 From 2011-01-20 17:57:46 -------
alterator-packages-0.5.4-alt8 -> sisyphus:

* Thu Jan 20 2011 Lenar Shakirov <snejok@altlinux> 0.5.4-alt8
- info-update: check for value of minor-id listbox (closes: #22219)